QWSInputMethod(3qt)

NAME
QWSInputMethod - International input methods for Qt/Embedded

SYNOPSIS
#include <qwindowsystem_qws.h>

  Public Members
virtual bool filter ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat ) = 0
virtual void reset ()

  Protected Members
void sendKeyEvent ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat )

DESCRIPTION
The QWSInputMethod class provides international input methods for Qt/Embedded.

Subclass this to implement your own input method.

MEMBER FUNCTION DOCUMENTATION

void QWSInputMethod::reset () [virtual]

SEE ALSO
http://doc.trolltech.com/qwsinputmethod.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qwsinputmethod.3qt) and the Qt version (3.1.0-b1).